package com.celum.dbtool.configuration;

import com.celum.dbtool.Db;
import com.celum.dbtool.installer.DbVars;

/**
 *
 */
public class DefaultConfiguration  extends DbConfiguration
{

    /** name of table where are steps/patches inserted. This table track the DB status. */
    protected String versionTable;

    /**
     * Construct the default configuration setup.
     */
    DefaultConfiguration(String versionTable)
    {
        this.versionTable = versionTable;
        setVariable(DbVars.PATCHTABLE, versionTable);
        setVersionSql("SELECT COUNT (*) FROM " + versionTable + " WHERE version LIKE '$version'");
        setVersionUpdateSqlScript("INSERT INTO " + versionTable + " (version, name) VALUES ('$version', '$name')");
    }


    @Override
    public Db build()
    {
        return new Db(this);
    }
}
