/*****************************************************************************
 * Copyright 2012 celum Slovakia s r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package com.celum.dbtool.installer;

import com.celum.dbtool.step.DbStep;

/**
 * Dummy implementation of event handler for {@link DbInstaller} that
 * is used also as a default impl.
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public class DummyEventListener implements DbEventListener
{
    @Override
    public DbStep onProcessScript(DbStep step)
    {
        return step;
    }

    @Override
    public void onError(DbStep script, Throwable e)
    {
        //do nothing
    }

    @Override
    public void onFinishProcessing(DbStep script)
    {
        //do nothing
    }
}
